# systemProperty

abstract fun systemProperty(propertyName: String): Provider<String>
abstract fun systemProperty(propertyName: Provider<String>): Provider<String>

Creates a Provider whose value is fetched from system properties using the given property name.

#### Return

the provider for the system property, never returns null

#### Since

6.1

#### Parameters

propertyName

the name of the system property